curl --request POST \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/upsert"
payload = { "inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{interactionDateTime: 123, properties: {}, vid: 123}]})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Set subscriber state by contact ID
HubSpotコンタクトIDを使用して、複数のHubSpotコンタクトとマーケティングイベント間の登録読者状態を記録します。コンタクトがすでにHubSpotに存在している必要がある点に注意してください。コンタクトは作成されません。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
外部イベントアプリケーションのマーケティングイベントのID
HubSpotコンタクトと指定されたマーケティングイベントの新規登録者状態。例:「register」、「attend」、または「cancel」。
クエリパラメータ
外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId
ボディ
マーケティングイベントに登録するHubSpotコンタクトのリスト
Show child attributes
Show child attributes
レスポンス
エラーカテゴリー
リクエストの固有ID。エラー報告またはサポートチケットには必ずこの値を含めてください
"aeb5f871-7f07-4993-9211-075dc63e7cbf"
エラーと修正手順(該当する場合)を記した、人が理解できるメッセージ
"An error occurred"
エラー条件に関する背景状況
Show child attributes
Show child attributes
"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"
エラーに関する詳細情報
Show child attributes
Show child attributes
エラーまたは推奨の修正手順に関するドキュメントが含まれる関連付けられたURIへのリンク名の対応付け
Show child attributes
Show child attributes
エラーに関する具体的な詳細が含まれる特定のカテゴリー